dots.v2.nfs.snapshots.get()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.nfs.snapshots.get(requestConfiguration?: RequestConfiguration<SnapshotsRequestBuilderGetQueryParameters>): Promise<undefined | Nfs_snapshot_list_response>Description
To list all NFS snapshots, send a GET request to /v2/nfs/snapshots?region=${region}&share_id={share_id}.
A successful request will return all NFS snapshots belonging to the authenticated user in the specified region.
Optionally, you can filter snapshots by a specific NFS share by including the share_id query parameter.
Parameters
regionstring optionalExample:
atl1The DigitalOcean region slug (e.g., nyc2, atl1) where the NFS share resides.
shareIdstring optionalExample:
0a1b2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5dThe unique ID of an NFS share. If provided, only snapshots of this specific share will be returned.
Request Sample
Response Example
More Information
See /v2/nfs/snapshots in the API reference for additional detail on responses, headers, parameters, and more.